DELUSER(8)

NOME
deluser, delgroup - remove um utilizador ou grupo do sistema

SINOPSE
deluser [opções] [--force] [--remove-home] [--remove-all-files] [--backup] [--backup-to DIRECTÓRIO] utilizador

deluser --group [opções] grupo
delgroup [opções] [--only-if-empty] grupo

deluser [opções] utilizador grupo

  OPÇÕES COMUNS
[--quiet] [--system] [--help] [--version] [--conf FICHEIRO]

DESCRIÇÃO

deluser e delgroup removem utilizadores e grupos do sistema de acordo com as opções de linha de comandos e informação de configuração em /etc/deluser.conf e /etc/adduser.conf. São frontends amigáveis para os programas userdel e groupdel, removendo o directório home como opção ou até todos os ficheiros no sistema cujo dono é o utilizador que vai ser removido, correndo um script personalizado, e outras funcionalidades. deluser e delgroup podem ser executados em um de três modos:

  Remove um utilizador normal
Se chamado com um argumento não-opção e sem a opção --group, deluser irá remover um utilizador normal. Por predefinição, deluser irá remover o utilizador sem remover o directório home, o spool de mail ou quaisquer outros ficheiros no sistema cujo dono é o utilizador em questão. Remover o directório home e o spool de mail pode ser conseguido usando a opção --remove-home. A opção --remove-all-files remove todos os ficheiros no sistema cujo dono é o utilizador em questão. Note que se activar ambas as opções, --remove-home não irá produzir efeito porque todos os ficheiros incluindo o directório home e spool de mail já estão cobertos pela opção --remove-all-files. Se deseja salvaguardar todos os ficheiros antes de os apagar, pode activar a opção --backup a qual irá criar um ficheiro nome-de-utilizador.tar(.gz|.bz2) no directório especificado pela opção --backup-to (a predefinição é usar o directório de trabalho actual). Ambas as opções remove e backup podem também ser activadas por predefinição no ficheiro de configuração /etc/deluser.conf. Veja deluser.conf(5) para mais detalhes. Se você quer remover a conta do root (uid 0), então use o parâmetro --force; isto pode prevenir contra a remoção do utilizador root por acidente. Se o ficheiro /usr/local/sbin/deluser.local existir, será executado após a conta do utilizador ter sido removida de modo a fazer qualquer limpeza local. Os argumentos passados a deluser.local são:
nome-de-utilizador uid gid directório-home

  Remover um grupo
Se deluser for chamado com a opção --group, ou delgroup for chamado, será removido um grupo. Aviso: O grupo principal de um utilizador existente não pode ser removido. Se for fornecida a opção --only-if-empty, o grupo não será removido se ainda possuir membros.

  Remover um utilizador de um grupo especifico
Se chamado com dois argumentos não-opções. deluser irá remover um utilizador de um grupo especifico.

OPÇÕES

--conf FICHEIRO
    Usa FICHEIRO em vez dos ficheiros predefinidos /etc/deluser.conf e /etc/adduser.conf

--group
    Remove um grupo. Esta é a acção predefinida se o programa for invocado como delgroup.

--help
    Mostra instruções breves.

--quiet
    Suprime mensagens de progresso.

--system
    Apenas apaga se utilizador/grupo for um utilizador/grupo de sistema. Isto evita apagar acidentalmente utilizadores/grupos não-sistema. Adicionalmente, se o utilizador não existir, nenhum valor de erro é devolvido. Esta opção é para uso principalmente em scripts de pacotes Debian.

--backup
    Faz backup de todos os ficheiros contidos na home do utilizador e o ficheiro mailspool para um ficheiro chamado /$user.tar.bz2 ou /$user.tar.gz.

--backup-to
    Coloca os ficheiros de backup não em / mas no directório especificado por este parâmetro. Isto também define --backup implicitamente.

--remove-home
    Remove o directório home do utilizador e o seu mailspool. Se --backup for especificado, os ficheiros são apagados após a execução do backup.

--remove-all-files
    Remove todos os ficheiros do sistema cujo dono seja este utilizador. Nota: --remove-home não faz mais efeito. Se --backup for especificado, os ficheiros são apagados após a execução do backup.

--version
    Mostra informação de versão e copyright.

VALORES DE RETORNO

0   A acção foi executada com sucesso.

1   O utilizador a apagar não era uma conta de sistema. Nenhuma acção foi executada.

2   Não existe tal utilizador. Nenhuma acção foi executada.

3   Não existe tal grupo. Nenhuma acção foi executada.

4   Erro interno. Nenhuma acção foi executada.

5   O grupo para apagar não está vazio. Nenhuma acção foi executada.

6   O utilizador não pertence ao grupo especificado. Nenhuma acção foi executada.

7   Não pode remover um utilizador do seu grupo principal. Nenhuma acção foi executada.

8   O pacote perl necessário 'perl modules' não está instalado. Este pacote é necessário para executar as acções requisitadas. Nenhuma acção foi executada.

9   Para remover a conta de root é necessário o parâmetro "--force". Nenhuma acção foi executada.

FICHEIROS
/etc/deluser.conf

VEJA TAMBÉM
deluser.conf(5), adduser(8), userdel(8), groupdel(8)

COPYRIGHT
Copyright (C) 2000 Roland Bauerschmidt. Modificações (C) 2004 Marc Haber e Joerg Hoh. Este manual e o programa deluser são baseados no adduser o qual é:
Copyright (C) 1997, 1998, 1999 Guy Maor.
Copyright (C) 1995 Ted Hajek, com muita coisa emprestada do adduser original de Debian
Copyright (C) 1994 Ian Murdock. deluser é software livre; veja a GNU General Public Licence versão 2 ou posterior para condições de cópia. Não há garantia.